#include "movieCollection.h"

int insertAtFront(Node** pList, MovieRecord newData)
{
    Node* pMem = malloc(sizeof(Node)); // request allocating space for Node
    int success = 0; // failed to allocate space on the heap

    if (pMem != NULL)
    {
        // we allocated space for a Node successfully
        success = 1;

        // let's intialize the Node
        pMem->pLink = NULL;
       // pMem->data = newData; // struct assignment
        pMem->data.year = newData.year;
        strcpy(pMem->data.title, newData.title);

        // we init the new Node
        // empty list?
        if ((*pList) == NULL)
        {
            // it is empty list
            *pList = pMem;
        }
        else
        {
            // it is not empty
            pMem->pLink = *pList;
            *pList = pMem;
        }
    }

    return success;
}


MovieRecord deleteFront(Node** pList)
{
    // we'll complete on 1/24
    //Node* pTemp = *pList;
    //free(pTemp);
}

void printList(Node* pList)
{
    printf("--> ");

    while (pList != NULL)
    {
        // there's another Node - print the data
        printf("%s, %d--> ", pList->data.title, pList->data.year);
        pList = pList->pLink;
    }

    putchar('\n');
}